Doomsday Engine - Bug #1799

Project ERROR: Missing dependency: Open Asset Import Library
2014-05-07 16:18 - eunbolt

Status: Closed Start date: 2014-05-07
Priority: Normal % Done: 0%
Assignee:

Category:

Target version:

Description

Version of doomsday source
[dave@theHostess doomsday-centos-server]$ git describe --tags
build1220-1-g519cba5

gmake version and gmake options

[dave@theHostess gm]$ /usr/local/Trolltech/Qt-4.8.5/bin/gmake -r ../doomsday/doomsday.pro CONFIG+=deng_notools
CONFIG+=deng_host

| get this error
Reading /home/dave/Src/doomsday-centos-server/doomsday/libgui/libgui.pro [/home/dave/Src/doomsday-centos-server/gm/libgui]
Project ERROR: Missing dependency: Open Asset Import Library

History

#1 - 2014-05-10 09:58 - skyjake
- Tags set to SDK

#2 - 2014-05-10 09:58 - skyjake

- Status changed from New to Closed

#3 - 2014-05-10 09:59 - skyjake

The Open Asset Import Library is a new dependency that will be used in 1.15. Like Qt and SDL, you have to make sure it is available prior to building
Doomsday.

At the moment it looks like we will be using a modified version of the library, so you should check out the instructions in the repository readme.

The library is also included in the Doomsday repository as a Git submodule, under doomsday/external/assimp/. If using this, one can build it in-tree
under that subdir, and use CONFIG+=deng_extassimp when building Doomsday.
https://github.com/skyjake/Doomsday-Engine#open-asset-import-library
